restinio::easy_parser::impl::symbol_producer_template_t< Predicate > Class Template Reference

A template for producer of charachers that satisfy some predicate. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::symbol_producer_template_t< Predicate >:

## Public Member Functions

template<typename... Args>
| symbol_producer_template_t (Args &&... args)
RESTINIO_NODISCARD expected_t< char, parse_error_t > | try_parse (source_t &from) const noexcept

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< char >
using | result_type = char
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< char >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename Predicate>
class restinio::easy_parser::impl::symbol_producer_template_t< Predicate >

A template for producer of charachers that satisfy some predicate.

In the case of success returns the expected character.

Template Parameters

  Predicate | the type of predicate to check extracted symbol.

Since
  v.0.6.1

Definition at line 2130 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## symbol_producer_template_t()

template<typename Predicate >
template<typename... Args>

restinio::easy_parser::impl::symbol_producer_template_t< Predicate >::symbol_producer_template_t | ( | Args &&... | args | ) |

inline

Definition at line 2136 of file easy_parser.hpp.

## Member Function Documentation

## try_parse()

template<typename Predicate >

RESTINIO_NODISCARD expected_t< char, parse_error_t > restinio::easy_parser::impl::symbol_producer_template_t< Predicate >::try_parse | ( | source_t & | from | ) | const

inlinenoexcept

Definition at line 2142 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp